## savedebz 0.8-2

=== Makefile ===
#! /usr/bin/make -f
VER=1.1

MKFILE=launchsh.Makefile

help:
	: enter "make compile" to compile binaries "(will appear in builddir/)"
	: enter "make install PREFIX=..." to install...
	: enter "make maemodeb" to make Maemo package "(in scratchbox)"

.PHONY:	ALWAYS

compile: builddir/savedebz

builddir:
	mkdir builddir

builddir/savedebz: builddir
	cp savedebz builddir

chkprefix: ALWAYS
	@[ x"$(PREFIX)" != x ] \
		|| { sed -n 's/^#prefix: \?//p;' $(MKFILE); false; }
	@[ -d "$(PREFIX)/usr/bin" ] || mkdir -m 755 -p "$(PREFIX)/usr/bin"

#prefix:
#prefix:  Can not install: PREFIX missing.
#prefix:
#prefix:  try for example: `make install PREFIX=/usr/local'
#prefix:

install: chkprefix compile
	cp builddir/savedebz $(PREFIX)/usr/bin

# [builddir/]debian/rules launches this.
maemo-install:
	rm -rf $(DESTDIR)
	mkdir -p $(DESTDIR)/usr/bin
	cp builddir/savedebz $(DESTDIR)/usr/bin/savedebz

Makefile:
	ln -s $(MKFILE) Makefile	

maemodeb: launchsh.Makefile builddir/debian
	cp launchsh.Makefile builddir/Makefile
	cd builddir

builddir/debian: Makefile builddir ALWAYS
	sed -n '/^debianfiles:/,/^ *$$/ p' Makefile | tail -n +3 | sh -ve #-nv

debianfiles:
	exit 1 # this target is not to be run.
	:
	[ ! -h debian ] || rm debian
	rm -rf builddir/debian; mkdir builddir/debian
	echo 4 > builddir/debian/compat
	echo GPL > builddir/debian/copyright
	cut -d: -f3- > builddir/debian/changelog <<- EOF
	:  :savedebz (0.8) unstable; urgency=low
	:  :
	:  :  * Initial version
	:  : 
	:  : -- Linux Eventually <oshazard@gmail.com>  Sun, 01 Aug 2010 23:21:02 -0700
	:  :
	EOF
	cut -d: -f3- > builddir/debian/control <<- EOF
        :  :Source: savedebz
        :  :Section: user/utilities
        :  :Priority: optional
        :  :Maintainer: Linux Eventually <oshazard@gmail.com>
        :  :Uploaders: Linux Eventually <oshazard@gmail.com> 
        :  :Build-Depends: debhelper (>= 4.0.0)
        :  :Standards-Version: 3.6.1
        :  :
        :  :Package: savedebz
        :  :Architecture: all
        :  :Provides: savedebz
        :  :Description: savedebz
        :  : A script to backup and restore .deb packages to/from SD card
	EOF
	cut -d: -f3- > builddir/debian/postinst <<- EOF
	:  :#!/bin/sh -e
	:  :
	:  :exit 0
	EOF
	cut -d: -f3- > builddir/debian/rules <<- 'EOF'
	:  :#!/usr/bin/make -f
	:  :
	:  :build: build-stamp
	:  :build-stamp:
	:  :	dh_testdir
	:  :	$(MAKE) compile
	:  :	touch build-stamp
	:  :
	:  :clean:
	:  :	dh_testdir
	:  :	dh_testroot
	:  :	-rm -f configure-stamp build-stamp 
	:  :	-$(MAKE) binclean
	:  :	-test -r /usr/share/misc/config.sub && \
	:  :	  cp -f /usr/share/misc/config.sub config.sub
	:  :	-test -r /usr/share/misc/config.guess && \
	:  :	  cp -f /usr/share/misc/config.guess config.guess
	:  :	dh_clean
	:  :
	:  :install: build
	:  :	dh_testdir
	:  :	dh_testroot
	:  :	$(MAKE) maemo-install DESTDIR=`pwd`/debian/savedebz
	:  :
	:  :binary-indep: build install
	:  :binary-arch: build install
	:  :	dh_testdir
	:  :	dh_testroot
	:  :	dh_link -a
	:  :	dh_strip -a
	:  :	dh_compress -a
	:  :	dh_fixperms -a
	:  :	dh_installdeb -a
	:  :	dh_shlibdeps -a
	:  :	dh_gencontrol -a
	:  :	dh_md5sums -a
	:  :	dh_builddeb -a
	:  :
	:  :binary: binary-indep binary-arch
	:  :.PHONY: build clean binary-indep binary-arch binary install 
	EOF

dist:	clean
	#export VER=$(VER) ;\
	sed -n '/^dist.sh:/,/^ *$$/ p' Makefile | tail -n +3 | sh -ve #-nv

dist.sh:
	exit 1 # this target is not to be run.
	:
	pwd=`pwd`; thisdir=`basename $pwd`;
	chmod +x savedebz
	mv savedebz /usr/bin/

#binclean:
#	rm builddir/* || true

clean distclean:
	rm -rf builddir build-stamp config.guess config.sub

## savedebz 0.8

=== debian/changelog ===
savedebz (0.8) unstable; urgency=low

  * Initial version
 
 -- Linux Eventually <oshazard@gmail.com>  Sun, 01 Aug 2010 23:21:02 -0700

=== debian/control ===
Source: savedebz
Section: user/utilities
Priority: optional
Maintainer: Linux Eventually <oshazard@gmail.com>
Original-Maintainer: Linux Eventually <oshazard@gmail.com
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: savedebz
Architecture: all
Provides: savedebz
Description: Easily copy/download pacakges to SD card and back
 Restoring packages after flashing made easy. savedebz and savedebz install

## savedebz 0.8-2

=== debian/changelog ===
savedebz (0.8-2) unstable; urgency=low

  * Added icon to debian control file

 -- Linux Eventually <oshazard@gmail.com>  Mon, 02 Aug 2010 01:17:59 -0700

=== debian/control ===
Source: savedebz
Section: user/utilities
Priority: optional
Maintainer: Linux Eventually <oshazard@gmail.com>
Original-Maintainer: Linux Eventually <oshazard@gmail.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: savedebz
Architecture: all
Provides: savedebz
XB-Maemo-Display-Name: SaveDEBz
Description: Restoring packages after flashing made easy.
 USAGE savedebz and savedebz install
 Easily copy/download pacakges to SD card and back
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAACYtJREFUeNrUWkurZUcVXvXY
 59zbtyXpICEiaFrJQFDo6CDOHAi2UQdOFBw4CAqCDhU0DuIPEBtCRupIBxk4
 MBMHgpIMnChE1OAD2uADEkFpUM9z710vv7Wq6ty6u09f0+nb3Tcb6u7Hqb33
 96361qq1al/1vscfp+Ac3fjH6+S9v3owP/iYMfqyMaabz2ax62wwtnPDOPgY
 ok8pxpQoKKW9UhRC8IFI+UQ4ds7HFKLW1mujffDexRi9MXiGMQG34uborbEO
 515pckopZ7RxuN8RyflgtBrxfKeNGlNMY0ppxItGUnowSm3Rr7ezubfdnCwe
 SuMw2EsPPvi9x957+SlrNAXvCCTIWkMKvQP6JEYdorQoG6gkUIpo+SgkStyV
 SQb0RwOolACOQdBIlAaQ7XGtT4q2lGhDDCjRGsZYg8Qa71sR75WSPe5Z411o
 doPfN1rrDs/q8MaVVt5Z5T1dnM++8sEPXHnqXzduxOuv/iVutlsGKeCxJbyE
 jxN2uJc3FfkcJzHviBlG5sq/kUq8D4qvyzWKpQ/fzn94H/Mzub88L0hfJc/w
 OPc8Ijh3is8xUhqIMZr+woULscMwRmjCwoDdY+959xcXiwX9/KVfRAyV0gYD
 xTBVeY2mjJuvAR3+aMrgjPRQKtVzrRSDwE1Kl1uEuBADKCX34g5VzKLk/ihk
 lQBl8CKt3IQA5MMEICttPIY5XDw6glSVspv15tGLRxcu/+rl3/D4q9lsJtjl
 1WyTA7TxBKRYfjZEO2IMTufRosxdVcoCPvEIQTaBrYlLjuWFH0Z0Y433LC3Y
 occ5a3ybz7EvmjdaD9IfvudG57d6G4E12fmse+d6tT76z38XcC6TwcOdEtvj
 EGL7jif/fU3x1yaDmWejNuCpEI4ilZT3AFPAwifgA9gPuGMIFAESfqDUBpw2
 inWuVNY+6z4l7NkX1ApWgI/QlvuD/qDZoWMEeRskaODBlmJ4oB9HGoYxycCy
 1R9OavYtT92nweIRotnn4ZkvBhqfRvc/oM8MUJIQqC00zeemWL/FutRnq8Jp
 uam0BtA1yC5x8xLHS7xa9sREEjsy+ogTg4CiASQGpZVDjBMJcTDEEajEeDSM
 DjxCHm/s5s96mn0W0ekF3PZ2eSR1n0qk3+/U5koXaQU9G6q6nwCXcMgWF/CF
 QAVfQHGESSsmQHTcUiYi0QfH6K8YfF8iGEASnBjagPGgp4SoTdra7tAhEnFc
 ZIdVhxD3h3GI1/afgcV/B/pfsnG4plP8pU7q0s76twTPsbyAL3quwKUJUIBa
 4HiBvrLHNd6DFI9MqpbvAWsANifPR2iGUnA6JDiwRAcLz547FwQThihxpE5/
 Bol3YSS+G0g/iuuPQLxftUHEb9HRngDvmv0O/EQ2FfyqtTg3oBGrcyvgNzje
 8nMYKT8XGANvmGhzGG68DzIKc4fJNAmDHC+Gr1kKf1Q0/0Kk7qOJDl/y+vAn
 mDyfwOj5E1av4MVJG/CnAW8tn7XfWL6A7xvwwO134GmycUye8+y6+9FCG7/V
 kbW+eRJzxcsYlb+q1H0yqQs/852+Ehm2b2QzNpavkmkJTMHv9F4IrCqBBvzY
 gOe5aS94IYDOMw7R0oH/HqRkPhJJfyiS+yl+/j3i2FXr+meQ+7wN/J5MWlKE
 4xFgy/eNbE61fNF7Bc9EBDzA7sDnWRfx3rlTwYu9Met2nNmIvj1m0YeSPXzR
 6fRPIHiii3LrDO49pzyNDSecdtij+XUhsdqneb7GwIvmN9wYPPb8nLHMwCyZ
 WHCdull0xghIHgPBk0l/V3H8tlHzrwd9dN1ZhmA/Hg/0OyD26xTdj2Eplo1T
 rNFW8xm8Bngrx8tCYNGCLwR2Dgvw/RQ8W/6NgBcCmH2ZgJd8RkmESeM3kW+8
 orS9GpX9RNTxFRXG57RzP9Tr9Lra6IcxIg8kg/s4XYXXgHqNSivI6QZAqx34
 VRvjJ5bvS7gdVc6Dbgt8HgEE1JRvyK2kYP55ONDzOsyv+QN3zazia5KbsIV6
 +zn/UPflcKmZiVPJg8i9oF8dv2H/pDqRUXXYKhukxVFi/EQ2bwq8EAB4Sfkl
 rc0kJLNRs2zR8Rm7gKs6nDN4KS7cD8xr/kf6b6mJOJK3ECzb078xV6xvBb5G
 GgbPDssZprxn5Een2wIvBJgxW6CkxabMEqk4aYBrSk7DecjOWVe0TQu1Po44
 kAVxZEFMZ+mYYwKtbJhkBY/mKni2fDoxPd0mAS73mqSspgmZgJYYz+YZdpGG
 HVW3sT6tbxE6V8XyN4Fnh71T8DmMah13TpzTYt0QqOBrmGzj/KbG8X2hskab
 Ap5lw5rnRGbkephLzjsFn30AD2IHypUThJJ9IRTnOmn5mg4XSxfwiwJ20ZCR
 jHKqebZ8BQ/Nx9MmqDdMQAoOPLg+rJRSgXaVEg3T3KZoejVNhat8JrKpSRk7
 rMxObPmzAL8jUPKZpgTMs+wey68ay7fpwLLR/qa1fMlr7gr4EwSK5WNOV2VE
 hgJ6O3HQ3ew6Ab8rRKrm26SMl18APp0l+ErAFZ2rov3YyGczyWv2WX65J5c/
 kVEiIYu3SofvmECxds/1sKQGx/l967DLKfg9hQjLpm9yeV/Ah7sFvh2BPvuv
 LJz4Rj7VYZdTy59SRY37qii6S5tNOaPcFgkxCY5KbMl1ydX3hsry+02yKRnl
 /y1Ezm4EkqzZMAj2Xl0WWLcFaAt+57CTdJjJD/cDfK0HhryEsdvGMiInnHYP
 +Dq79jU1aMBHukebLbPkuoTRVB24AbwsSx7rPYVIXzPKJh1OdA83Wxx4nYNQ
 DqGs7zJhtaFyva+KmoCPdI83duKq91iW0nn9vs0qV00hcqsSMNxry7cFzaaA
 5HqA1/T71KyiVctPqig3qV/vC/hcD2QJLWsWWvKfOgKbAn5qeV+qqPhmqqiz
 deJs8WVd6yyzabU6E7jJ8qUQSfcbfIlCPOuqKiH+gtKu72wby0sJWAqRcwH+
 mECCD+yqMLVbpGoKEUmHzxv4UlIalEZhjVosmKT5i2OtA1rLn2kVdbYE+IOS
 0uyknEp7HfUYVeQlQ65fRTZ3oxA5w2xUeaNpw18tEf99UFHWf/iLSLH8uQVf
 RyBARltrDaaEEPhbbI408jURmh/TeQWf10ZtF9iRu86mAAImSi4WeLklr5ad
 X/BCoOsMf/cdZ11HKJ/4HwdiMHyg0/2cYW8nG+X1IDefzxUI8P9ySP2KITj3
 4PMnpqT4ozZrP3bWxq7rUlmle0tsVv6xgWkg/Bg7IxPr/2K8Nbb/CTAAF12f
 5l7y6xMAAAAASUVORK5CYII=
XSBC-Bugtracker: mailto:oshazard@gmail.com

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) compile
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f configure-stamp build-stamp 
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	$(MAKE) maemo-install DESTDIR=`pwd`/debian/savedebz

binary-irch: build install
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep binary-irch
.PHONY: build clean binary-indep binary-irch binary install

## savedebz 0.9

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 
 builddir/savedebz: builddir
 	cp savedebz builddir
+	cp zsavedebz builddir
 
 chkprefix: ALWAYS
 	@[ x"$(PREFIX)" != x ] \
@@ -31,12 +32,14 @@
 
 install: chkprefix compile
 	cp builddir/savedebz $(PREFIX)/usr/bin
+	cp builddir/zsavedebz $(PREFIX)/usr/bin
 
 # [builddir/]debian/rules launches this.
 maemo-install:
 	rm -rf $(DESTDIR)
 	mkdir -p $(DESTDIR)/usr/bin
 	cp builddir/savedebz $(DESTDIR)/usr/bin/savedebz
+	cp builddir/zsavedebz $(DESTDIR)/usr/bin/zsavedebz
 
 Makefile:
 	ln -s $(MKFILE) Makefile	
@@ -56,11 +59,11 @@
 	echo 4 > builddir/debian/compat
 	echo GPL > builddir/debian/copyright
 	cut -d: -f3- > builddir/debian/changelog <<- EOF
-	:  :savedebz (0.8) unstable; urgency=low
+	:  :savedebz (0.9) unstable; urgency=low
 	:  :
-	:  :  * Initial version
+	:  :  * Added zsavedebz (zenity GUI)
 	:  : 
-	:  : -- Linux Eventually <oshazard@gmail.com>  Sun, 01 Aug 2010 23:21:02 -0700
+	:  : -- Linux Eventually <oshazard@gmail.com>  Mon, 02 Aug 2010 02:57:25 -0700
 	:  :
 	EOF
 	cut -d: -f3- > builddir/debian/control <<- EOF
@@ -136,6 +139,7 @@
 	pwd=`pwd`; thisdir=`basename $pwd`;
 	chmod +x savedebz
 	mv savedebz /usr/bin/
+	mv zsavedebz /usr/bin/
 
 #binclean:
 #	rm builddir/* || true

=== debian/changelog ===
savedebz (0.9) unstable; urgency=low

  * Added zsavedebz a zenity GUI front-end

 -- Linux Eventually <oshazard@gmail.com>  Mon, 02 Aug 2010 02:57:25 -0700
